GET
/v1/mgmt/fga/schema

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Get FGA schema

This endpoint allows you to retrieve the current Fine-Grained Authorization schema for your project.

curl -X GET "https://api.descope.com/v1/mgmt/fga/schema"
{  "dsl": "string",  "schema": {    "namespaces": [      {        "name": "string",        "relationDefinitions": [          {            "name": "string",            "complexDefinition": {              "nType": "string",              "children": [                {                  "nType": "string",                  "children": [],                  "expression": {                    "neType": "string",                    "relationDefinition": "string",                    "relationDefinitionNamespace": "string",                    "targetRelationDefinition": "string",                    "targetRelationDefinitionNamespace": "string"                  }                }              ],              "expression": {                "neType": "string",                "relationDefinition": "string",                "relationDefinitionNamespace": "string",                "targetRelationDefinition": "string",                "targetRelationDefinitionNamespace": "string"              }            }          }        ]      }    ],    "name": "string"  }}
export interface Response {dsl?: stringschema?: {/** * List of namespaces in the schema */namespaces?: {/** * Name of the namespace (entity type) */name?: string/** * The relation definitions belonging to the namespace */relationDefinitions?: {/** * Name of the relation definition */name?: string/** * Optional complex definition for complex (union, intersect, sub) relation definitions */complexDefinition?: {/** * Node type can be either child, union, intersect or sub */nType?: string/** * For union, intersect or sub, the children nodes */children?: Node[]/** * The expression for child nodes */expression?: NodeExpression}}[]}[]name?: string}}export interface Node {/** * Node type can be either child, union, intersect or sub */nType?: string/** * For union, intersect or sub, the children nodes */children?: Node[]/** * The expression for child nodes */expression?: NodeExpression}export interface NodeExpression {/** * Expression type can be either self, userSet, relationLeft, relationRight */neType?: string/** * The name of the relation definition for self and relationLeft/Right */relationDefinition?: string/** * The namespace of the relation definition */relationDefinitionNamespace?: string/** * The name of the relation definition for targetSet as well as type of relation for target relationLeft/Right */targetRelationDefinition?: string/** * The namespace of the target relation definition */targetRelationDefinitionNamespace?: string}
Was this helpful?